Subject: Protocol Action: 'Additional Control Operators for CDDL' to Proposed Standard (draft-ietf-cbor-cddl-control-07.txt)

From: The IESG <[email-masked]>
Date: Fri, 22 Oct 2021 13:57:51 -0700

The IESG has approved the following document:
- 'Additional Control Operators for CDDL'
  (draft-ietf-cbor-cddl-control-07.txt) as Proposed Standard

This document is the product of the Concise Binary Object Representation
Maintenance and Extensions Working Group.

The IESG contact persons are Murray Kucherawy and Francesca Palombini.

A URL of this Internet Draft is:
https://datatracker.ietf.org/doc/draft-ietf-cbor-cddl-control/

Technical Summary:

The Concise Data Definition Language (CDDL), standardized in RFC 8610, provides "control operators" as its main language extension point. The present document defines a number of control operators that did not make it into RFC 8610: .plus, .cat and .det for the construction of constants, .abnf/.abnfb for including ABNF (RFC 5234/RFC 7405) in CDDL specifications, and .feature for indicating the use of a non-basic feature in an instance.

Working Group Summary:

The process through the WG was a bit quiet but uncontroversial. Discussion happened more during interims than on list; an outstanding point was on whether the document needs to go to such lengths (dedenting) to accommodate ABNF oddities -- this was found to be the most practical way.

Document Quality:

A complete implementation exists, provided by the author; a second exists but is incomplete. No vendors that use this are currently known, but it is being used inside IETF by ASDF. Henk Birkholz's comprehensive review <https://mailarchive.ietf.org/arch/msg/cbor/bc8xxKE6xGzEQ8NSDT6eyB9JXx0> well sums up the status, with some enhancements processed into -04.

Personnel:

Christian Amsüss is Document Shepherd, Francesca Palombini is the Responsible AD.